#include <iostream>

using namespace std;

int main(){
    int n, l, c = -1;
    int h[1000];
    cin >> n >> l;
    for (int i = 0; i < n; i++){
        cin >> h[i];
    }
    for (int i = 0; i < n; i++){
        if (l < h[i]){
            continue;
        }else{
            c = i + 1;
            break;
        }
    }
    cout << c;
}